import request from "@/utils/request";

// 查询项目列表
export function listProject(query) {
  return request({
    url: "/iot/project/list",
    method: "get",
    params: query
  });
}

// 查询项目详细
export function getProject(projectId) {
  return request({
    url: "/iot/project/" + projectId,
    method: "get"
  });
}

// 新增项目
export function addProject(data) {
  return request({
    url: "/iot/project",
    method: "post",
    data: data
  });
}

// 修改项目
export function updateProject(data) {
  return request({
    url: "/iot/project",
    method: "put",
    data: data
  });
}

// 删除项目
export function delProject(projectId) {
  return request({
    url: "/iot/project/" + projectId,
    method: "delete"
  });
}

// 导出项目
export function exportProject(query) {
  return request({
    url: "/iot/project/export",
    method: "get",
    params: query
  });
}

// 根据项目ID查询项目下所有设备
export function listDeviceByProjectId(projectId) {
  return request({
    url: "/iot/space_device/device/" + projectId,
    method: "get"
  });
}
